ZMQ_MSG_INIT_BUFFER(3)

NAME
zmq_msg_init_buffer - initialise 0MQ message with buffer copy

SYNOPSIS

int zmq_msg_init_buffer (zmq_msg_t *msg, const void *buf, size_t size);

DESCRIPTION

The zmq_msg_init_buffer() function shall allocate any resources required to store a message size bytes long and initialise the message object referenced by msg to represent a copy of the buffer referenced by the buf and size arguments.

The implementation shall choose whether to store message content on the stack (small messages) or on the heap (large messages).

    Caution

    Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

    Caution

    The functions zmq_msg_init(), zmq_msg_init_data(), zmq_msg_init_buffer() and zmq_msg_init_buffer() are mutually exclusive. Never initialise the same zmq_msg_t twice.

RETURN VALUE

The zmq_msg_init_buffer() function shall return zero if successful. Otherwise it shall return -1 and set errno to one of the values defined below.

ERRORS

ENOMEM
    Insufficient storage space is available.

SEE ALSO

zmq_msg_init_data(3) zmq_msg_init_size(3) zmq_msg_init(3) zmq_msg_close(3) zmq_msg_data(3) zmq_msg_size(3) zmq(7)

AUTHORS

This page was written by the 0MQ community. To make a change please read the 0MQ Contribution Policy at http://www.zeromq.org/docs:contributing.